/*****************************************************************************
* | File      	:   EPD_2in9b_V3_test.c
* | Author      :   Waveshare team
* | Function    :   2.9inch B V3 e-paper test demo
* | Info        :
*----------------
* |	This version:   V1.1
* | Date        :   2020-12-03
* | Info        :
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documnetation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to  whom the Software is
# furished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS OR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
******************************************************************************/
#include "EPD_Test.h"
#include "EPD_2IN9B_V3.h"

void EPD_2in9b_V3_test(void)
{
	printf("EPD_2IN9B_V3_test Demo\r\n");
	DEV_Module_Init();
	EPD_2IN9B_V3_Init();
	EPD_2IN9B_V3_Clear();
	DEV_Delay_ms(500);
#if 1
    /*show sd card pic*/
    //1.Initialize the SD card
    printf("Initialize the SD card\r\n");
    SDCard_Init();

    //2.Create a new image cache named IMAGE_BW and fill it with white
    Paint_NewImage(IMAGE_BW, EPD_2IN9B_V3_WIDTH, EPD_2IN9B_V3_HEIGHT, IMAGE_ROTATE_90, IMAGE_COLOR_POSITIVE);
    Paint_Clear(WHITE);
    //3.Read BMP pictures into RAM
    SDCard_ReadBMP("2in9cb.bmp", 0, 0);

    Paint_NewImage(IMAGE_BWR, EPD_2IN9B_V3_WIDTH, EPD_2IN9B_V3_HEIGHT, IMAGE_ROTATE_90, IMAGE_COLOR_POSITIVE);
    Paint_Clear(WHITE);
	SDCard_ReadBMP("2in9cy.bmp", 0, 0);
	 
    //4.Refresh the picture in RAM to e-Paper
    EPD_2IN9B_V3_Display();
    DEV_Delay_ms(3000);
#else
   /*show image for array*/
    //1.Draw black image
    Paint_NewImage(IMAGE_BW, EPD_2IN9B_V3_WIDTH, EPD_2IN9B_V3_HEIGHT, IMAGE_ROTATE_0, IMAGE_COLOR_POSITIVE);
    Paint_DrawBitMap(gImage_2in9bc_b);

    //2.Draw red image
    Paint_NewImage(IMAGE_BWR, EPD_2IN9B_V3_WIDTH, EPD_2IN9B_V3_HEIGHT, IMAGE_ROTATE_0, IMAGE_COLOR_POSITIVE);
    Paint_DrawBitMap(gImage_2in9bc_ry);

    //3.Refresh the picture in RAM to e-Paper
	printf("EPD_2IN9BC_Display\r\n");
	EPD_2IN9B_V3_Display();
    DEV_Delay_ms(3000);
#endif


#if 1
    printf("Paint_NewImage\r\n");
    
    //1.Create a new image cache named IMAGE_BW and fill it with white
    Paint_NewImage(IMAGE_BW, EPD_2IN9B_V3_WIDTH, EPD_2IN9B_V3_HEIGHT, IMAGE_ROTATE_90, IMAGE_COLOR_POSITIVE);
    Paint_Clear(WHITE);

    //2.Drawing on the image
    Paint_DrawPoint(10, 80, BLACK, DOT_PIXEL_1X1, DOT_STYLE_DFT);
    Paint_DrawPoint(10, 90, BLACK, DOT_PIXEL_2X2, DOT_STYLE_DFT);
    Paint_DrawPoint(10, 100, BLACK, DOT_PIXEL_3X3, DOT_STYLE_DFT);
    Paint_DrawPoint(10, 110, BLACK, DOT_PIXEL_4X4, DOT_STYLE_DFT);

    Paint_DrawLine(20, 70, 70, 120, BLACK, LINE_STYLE_SOLID, DOT_PIXEL_1X1);
    Paint_DrawLine(70, 70, 20, 120, BLACK, LINE_STYLE_SOLID, DOT_PIXEL_1X1);

    Paint_DrawRectangle(20, 70, 70, 120, BLACK, DRAW_FILL_EMPTY, DOT_PIXEL_1X1);
    Paint_DrawRectangle(80, 70, 130, 120, BLACK, DRAW_FILL_FULL, DOT_PIXEL_1X1);

    Paint_DrawCircle(160, 95, 20, BLACK, DRAW_FILL_EMPTY, DOT_PIXEL_1X1);
    Paint_DrawCircle(210, 95, 20, BLACK, DRAW_FILL_FULL, DOT_PIXEL_1X1);

    Paint_DrawString_EN(10, 0, "hello world", &Font24, WHITE, BLACK);
    Paint_DrawString_EN(10, 30, "Waveshare", &Font24, BLACK, WHITE);

    //3.Refresh the picture in RAM to e-Paper
    printf("EPD_Display\r\n");
    EPD_2IN9B_V3_Display();
    DEV_Delay_ms(3000);
#endif
	printf("Clear...\r\n");
  EPD_2IN9B_V3_Clear();
	
	printf("Goto Sleep...\r\n");
  EPD_2IN9B_V3_Sleep();
	
	printf("close 5V, Module enters 0 power consumption ...\r\n");
  DEV_Module_Exit();
}

