/*****************************************************************************
* | File      	:   EPD_4in01f_test.c
* | Author      :   Waveshare team
* | Function    :   4.01inch F e-paper test demo
* | Info        :
*----------------
* |	This version:   V1.0
* | Date        :   2020-12-28
* | Info        :
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documnetation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to  whom the Software is
# furished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS OR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
******************************************************************************/
#include "EPD_Test.h"
#include "EPD_4IN01F.h"
#include "ImageData.h"

void EPD_4IN01F_test(void)
{
	printf("4.01inch e-Paper F demo\r\n");
	DEV_Module_Init();
	
	EPD_4IN01F_Init();
	EPD_4IN01F_Clear(EPD_4IN01F_WHITE);
	DEV_Delay_ms(300);
	
#if 1
	/*show sd card pic*/
    //1.Initialize the SD card
    SDCard_Init();

    //2.Create a new image cache named IMAGE_BW and fill it with white
    //Draw black picture
    printf("IMAGE_BW\n");
    Paint_NewImage(IMAGE_BW, EPD_4IN01F_WIDTH, EPD_4IN01F_HEIGHT, IMAGE_ROTATE_0, IMAGE_COLOR_POSITIVE);
	Paint_SetScale(7);
    Paint_Clear(EPD_4IN01F_WHITE);
    //3.Read BMP pictures into RAM
    SDCard_Read_RGB_7Color("4in01-1.bmp", 0, 0);

    //4.Refresh the picture in RAM to e-Paper
	EPD_4IN01F_Display();
    DEV_Delay_ms(4000);		
#else 
   /*show image for array*/
	printf("4.01inch e-Paper F Display\r\n");
	EPD_4IN01F_Display_part(gImage_4in01f, 204, 153, 192, 143);
    DEV_Delay_ms(4000);
#endif

#if 1
	Paint_NewImage(IMAGE_BW, EPD_4IN01F_WIDTH, EPD_4IN01F_HEIGHT, IMAGE_ROTATE_0, IMAGE_COLOR_POSITIVE);
	Paint_SetScale(7);
	Paint_Clear(EPD_4IN01F_WHITE);		
	
	Paint_DrawPoint(10, 80, EPD_4IN01F_BLACK, DOT_PIXEL_1X1, DOT_STYLE_DFT);
	Paint_DrawPoint(10, 90, EPD_4IN01F_BLACK, DOT_PIXEL_2X2, DOT_STYLE_DFT);
	Paint_DrawPoint(10, 100, EPD_4IN01F_BLACK, DOT_PIXEL_3X3, DOT_STYLE_DFT);
	Paint_DrawLine(20, 70, 70, 120, EPD_4IN01F_BLACK, LINE_STYLE_SOLID, DOT_PIXEL_1X1);
	Paint_DrawLine(70, 70, 20, 120, EPD_4IN01F_BLACK, LINE_STYLE_SOLID, DOT_PIXEL_1X1);
	Paint_DrawRectangle(20, 70, 70, 120, EPD_4IN01F_BLACK, DRAW_FILL_EMPTY, DOT_PIXEL_1X1);
	Paint_DrawRectangle(80, 70, 130, 120, EPD_4IN01F_BLACK, DRAW_FILL_FULL, DOT_PIXEL_1X1);
	Paint_DrawCircle(45, 95, 20, EPD_4IN01F_BLACK, DRAW_FILL_EMPTY, DOT_PIXEL_1X1);
	Paint_DrawCircle(105, 95, 20, EPD_4IN01F_WHITE, DRAW_FILL_FULL, DOT_PIXEL_1X1);
	Paint_DrawLine(85, 95, 125, 95, EPD_4IN01F_BLACK, LINE_STYLE_DOTTED, DOT_PIXEL_1X1);
	Paint_DrawLine(105, 75, 105, 115, EPD_4IN01F_BLACK, LINE_STYLE_DOTTED, DOT_PIXEL_1X1);
	Paint_DrawString_EN(10, 130, "waveshare", &Font16, EPD_4IN01F_BLACK, EPD_4IN01F_WHITE);
	Paint_DrawString_EN(10, 150, "hello world", &Font12, EPD_4IN01F_WHITE, EPD_4IN01F_BLACK);
	Paint_DrawNum(10, 33, 123456789, &Font12, EPD_4IN01F_BLACK, EPD_4IN01F_WHITE);
	Paint_DrawNum(10, 50, 987654321, &Font16, EPD_4IN01F_WHITE, EPD_4IN01F_BLACK);
  
	EPD_4IN01F_Display();
	DEV_Delay_ms(4000); 
#endif
	printf("Clear...\r\n");
	EPD_4IN01F_Clear(EPD_4IN01F_WHITE);
	
	printf("Goto Sleep...\r\n");
	EPD_4IN01F_Sleep();
	
	printf("close 5V, Module enters 0 power consumption ...\r\n");
	DEV_Module_Exit();
}

