/*****************************************************************************
* | File      	:   EPD_4in01f_test.c
* | Author      :   Waveshare team
* | Function    :   4.01inch F e-paper test demo
* | Info        :
*----------------
* |	This version:   V1.0
* | Date        :   2020-12-28
* | Info        :
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documnetation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to  whom the Software is
# furished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS OR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
******************************************************************************/
#include "EPD_Test.h"
#include "EPD_4IN01F.h"
#include "ImageData.h"

int EPD_4IN01F_test(void)
{
		printf("4.01inch e-Paper F demo\r\n");
		DEV_Module_Init();
		
		EPD_4IN01F_Init();
		EPD_4IN01F_Clear(EPD_4IN01F_WHITE);
		DEV_Delay_ms(300);
		
		UBYTE *BlackImage;
		/* you have to edit the startup_stm32fxxx.s file and set a big enough heap size */
		UDOUBLE Imagesize = ((EPD_4IN01F_WIDTH % 2 == 0)? (EPD_4IN01F_WIDTH / 2 ): (EPD_4IN01F_WIDTH / 2 + 1)) * EPD_4IN01F_HEIGHT;
		Imagesize = Imagesize/16;
		printf("Not enough memory, only part of the window is displayed\r\n");
		printf("Imagesize %d\r\n",Imagesize);
		if((BlackImage = (UBYTE *)malloc(Imagesize)) == NULL) {
				printf("Failed to apply for black memory...\r\n");
				return -1;
		}
		Paint_NewImage(BlackImage, EPD_4IN01F_WIDTH/4, EPD_4IN01F_HEIGHT/4, 0, EPD_4IN01F_WHITE);
		Paint_SetScale(7);
		
#if 1
   /*show image for array*/
		printf("4.01inch e-Paper F Display\r\n");
		EPD_4IN01F_Display_part(gImage_4in01f, 204, 153, 192, 143);
		DEV_Delay_ms(4000);
#endif

#if 1
		Paint_Clear(EPD_4IN01F_WHITE);		
		
		Paint_DrawPoint(10, 70, EPD_4IN01F_BLACK, DOT_PIXEL_1X1, DOT_STYLE_DFT);
		Paint_DrawPoint(10, 80, EPD_4IN01F_BLACK, DOT_PIXEL_2X2, DOT_STYLE_DFT);
		Paint_DrawPoint(10, 90, EPD_4IN01F_BLACK, DOT_PIXEL_3X3, DOT_STYLE_DFT);
		Paint_DrawRectangle(25, 70, 55, 100, EPD_4IN01F_BLACK, DOT_PIXEL_1X1, DRAW_FILL_EMPTY);
		Paint_DrawRectangle(85, 70, 115, 100, EPD_4IN01F_BLACK, DOT_PIXEL_1X1, DRAW_FILL_FULL);
		Paint_DrawCircle(40, 85, 15, EPD_4IN01F_BLACK, DOT_PIXEL_1X1, DRAW_FILL_EMPTY);
		Paint_DrawCircle(100, 85, 15, EPD_4IN01F_WHITE, DOT_PIXEL_1X1, DRAW_FILL_FULL);
		Paint_DrawLine(85, 85, 115, 85, EPD_4IN01F_BLACK, DOT_PIXEL_1X1, LINE_STYLE_SOLID);
		Paint_DrawLine(100, 70, 100, 100, EPD_4IN01F_BLACK, DOT_PIXEL_1X1, LINE_STYLE_DOTTED);
		Paint_DrawString_EN(10, 0, "waveshare", &Font16, EPD_4IN01F_BLACK, EPD_4IN01F_WHITE);
		Paint_DrawString_EN(10, 20, "hello world", &Font12, EPD_4IN01F_WHITE, EPD_4IN01F_BLACK);
		Paint_DrawNum(10, 33, 123456789, &Font12, EPD_4IN01F_BLACK, EPD_4IN01F_WHITE);
		Paint_DrawNum(10, 50, 987654321, &Font16, EPD_4IN01F_WHITE, EPD_4IN01F_BLACK);
		
		EPD_4IN01F_Display_part(BlackImage, 0, 0, 160, 100);
		DEV_Delay_ms(4000); 
#endif
		printf("Clear...\r\n");
		EPD_4IN01F_Clear(EPD_4IN01F_WHITE);
		
		printf("Goto Sleep...\r\n");
		EPD_4IN01F_Sleep();
		
		printf("close 5V, Module enters 0 power consumption ...\r\n");
		DEV_Module_Exit();
		
		return 0;
}

